Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.gui.resource
Interface JComponentModifier

All Known Implementing Classes:
  JSVGViewerFrame.BackAction, JSVGViewerFrame.ForwardAction, JSVGViewerFrame.NextTransformAction, JSVGViewerFrame.PauseAction, JSVGViewerFrame.PlayAction, JSVGViewerFrame.PreviousTransformAction, JSVGViewerFrame.StopAction, JSVGViewerFrame.UseStylesheetAction

public interface JComponentModifier

This interface must be implemented by actions which need to have an access to their associated component(s)

Method Summary
`void` | `addJComponent(javax.swing.JComponent comp)` Gives a reference to a component to this object

Method Detail

### addJComponent

    public void addJComponent(javax.swing.JComponent comp)

  Gives a reference to a component to this object

  Parameters:
    `comp` - the component associed with this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.